List appointments
List appointments for the user identified by `X-Doctronic-User-ID` within the authenticated organization.
GET
/appointments/List appointments for the user identified by X-Doctronic-User-ID within the authenticated organization.
Use page, size, and orderBy to paginate and sort the results. Both authentication credentials are required.
Authorization
HTTPBearer XDoctronicUserID AuthorizationBearer <token>
In: header
X-Doctronic-User-ID<token>
Doctronic user ID returned as data.id by POST /users/. This value identifies the user in your organization scope; it is not an API token.
In: header
Query Parameters
status?|null
page?integer
Page number
Range
1 <= valueDefault
1size?integer
Items per page
Range
1 <= value <= 100Default
20Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/appointments/"{ "code": "success", "message": "Request successful", "data": { "items": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "chatId": "string", "status": "booked", "durationMinutes": 0, "location": { "state": "AK" }, "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "waitingRoomUrl": "https://doctronic.doxy.me/example?pid=dc_01K1EXAMPLE00000000000000&autocheckin=true" } ], "total": 0, "page": 0, "size": 0, "pages": 0, "hasNext": true, "hasPrev": true }}